org.eclipse.e4.ui.model.application.ui

## Interface MImperativeExpression

All Superinterfaces:
  MApplicationElement, MContribution, MExpression

    public interface MImperativeExpression
    extends MExpression, MContribution

A representation of the model object 'Imperative Expression'.

The following features are supported:

- `Tracking`

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isTracking()` Returns the value of the 'Tracking' attribute
`void` `setTracking(boolean value)` Sets the value of the '`Tracking`' attribute

### Methods inherited from interface org.eclipse.e4.ui.model.application.MContribution

`getContributionURI, getObject, setContributionURI, setObject`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Method Detail

#### isTracking

    boolean isTracking()

Returns the value of the 'Tracking' attribute.

If the meaning of the 'Tracking' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Tracking' attribute.
See Also:
  `setTracking(boolean)`

#### setTracking

    void setTracking(boolean value)

Sets the value of the '`Tracking`' attribute.

Parameters:
  `value` - the new value of the 'Tracking' attribute.
See Also:
  `isTracking()`